Description

I'm currently processing over 1100 Themis IR images for a project and 147 images failed caminfo with similar errors:

Group = Error

Program = caminfo

Class   = "USER ERROR"

Code    = 2

Message = "Cannot find polygon for image [I16696033RDR.cub]: The

increment/step size might be too large"

File    = ImagePolygon.cpp

Line    = 251

End_Group

I have tried various to all polygon options available to me in caminfo to get it to work, but they all fail.  I have run footprintinit

successfully on these images so it's not clear to me why caminfo is having a problem.  These images reside at mid to high latitudes

and some are near the 0/360 boundary, but I don't see anything consistently similar about the images that are failing.  They are not

necessarily near the pole or the 0/360 boundary.

Does caminfo use the footprint on the image blob or does it try to recalculate it for some reason.  If the latter is true, why wouldn't it

be identical to what footprintinit calculates (that is when I set the poly linc and sinc to the same values I used in footprintinit)?  Not

sure how the polygon parameter works in this program.

Steps to reproduce:

Prior to caminfo:

- thm2isis

- spiceinit

- camstats from=I16696033RDR.cub attach=true linc=50 sinc=30

- footprintinit from=I16696033RDR.cub linc=50 sinc=30

Then caminfo:

caminfo from=I16696033RDR.cub to=I16696033RDR_Poly.pvl isislabel=true geometry=true originallabel=false statistics=true

camstats=true linc=50 sinc=30 polygon=true

There are clearly many images this works on and I have a whole set of DayIR data in the same geographic area that had no failures

at all.  I'm not sure what the problem is.

I have placed a couple of images that fail with polygon=true in the data location indicated below.  All images had the same command

line applied.

History

#1 - 2013-01-16 02:18 PM - Lynn Weller

I have tried initializing the failing data to an ellipsoid during spiceinit in hopes that using a dem may have something to do with the problem but

caminfo hangs with this input (when polygon=true).  Seems like a whole other problem!

Although this particular output is not essential to processing Themis IR data for tile control, having a spatial (GIS) database would make aspects of

troubleshooting and processing more efficient (this is the need for caminfo with polygon=true).  I am concerned that if there is a high failure rate for

this data because it is linescan (not sure if this is why it fails), that other data sets/projects might have similar difficulties with caminfo (i.e laser

proposals using LROC data; UPC/PILOT (does have known issues with polygon=true; ect.).

I will make do for the time being by rerunning caminfo polygon=false on failed images so that I can get other pertinent info into my DB adn do without
a complete spatial database for this tile.  I would hope this problem could be addressed this FY if not this support quarter.

#2 - 2013-01-16 03:22 PM - Tammy Becker

UPC batch processing has encountered this problem also.

#3 - 2013-01-16 04:31 PM - Janet Barrett

After being made aware of this problem by John, I spent some time talking to Bob to see what problems he is having. It sounds like the ability was

added to caminfo fairly recently to generate a footprint in the labels (using a copy of the code that footprintinit uses). The code in caminfo does not

appear to be working right. Also, I spent some time talking to Lynn about the problems she posted here and we noticed that the GUI for caminfo is not

working properly for the POLYGON option. However, Lynn was able to successfully run the program from the command line. It does not make sense

to have the footprint code in both footprintinit and caminfo, so it would make sense to remove the code from caminfo and either 1) replace it with a call

to launch the footprintinit program if the image labels are missing a footprint, or 2) entirely remove the capability to generate a footprint from the

caminfo program. I will need to talk to Kris Becker to see how this would affect Messenger processing. The ability to put the footprint blob into a PVL

file would still remain in the caminfo program.

#4 - 2013-01-16 04:42 PM - Lynn Weller

With a little brainstorming with Bob and Janet Barrett, I have solved the problem.  By default, =maxincidence120 and this is what was causing some

of my images to fail when polygon=true.  My images are night ir where incidence angles can easily exceed 120.  I set maxincidence=180 and ran all

of my failed images through caminfo again and all ran successfully!  That was the problem.  I will reopen this post if this problem occurs again, but in

the meantime it is definitely solved.

#5 - 2013-01-16 04:43 PM - Lynn Weller

not a problem any more!

#6 - 2013-06-13 05:24 PM - Stuart Sides

- production_build_date changed from  to 2013-01-01
